Subject: Re: [PATCH 03/21] RDS: Congestion-handling code

From: Evgeniy Polyakov <[email-masked]>
Date: Tue, 27 Jan 2009 16:10:49 +0300

On Mon, Jan 26, 2009 at 06:17:40PM -0800, Andy Grover ([email-masked]) wrote:
> +/*
> + * Yes, a global lock.  It's used so infrequently that it's worth keeping it
> + * global to simplify the locking.  It's only used in the following
> + * circumstances:
> + *
> + *  - on connection buildup to associate a conn with its maps

Is this a rare condition? Is this protocol only intended for the
long-living connections and is not suitable for the cases when lots of
them are created and teared down quickly?

-- 
	Evgeniy Polyakov